Disconnect Provider Endpoint
curl --request DELETE \
--url https://api.example.com/api/v1/users/{user_id}/connections/{provider} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/users/{user_id}/connections/{provider}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/users/{user_id}/connections/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Connections
Disconnect Provider Endpoint
Disconnect a user from a provider, revoking the connection and clearing tokens.
DELETE
/
api
/
v1
/
users
/
{user_id}
/
connections
/
{provider}
Disconnect Provider Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Supported data providers.
Available options:
apple, samsung, google, garmin, polar, suunto, whoop, strava, oura, fitbit, ultrahuman, unknown, internal Response
Successful Response
Was this page helpful?
⌘I

